EDIT - bug #8530

Multiple Representation Exceptions when editing Textual Type Designations
09/09/2019 11:04 AM - Katja Luther

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

there is again a multiple representation exception when editing nomenclatural reference and textual type designation.
mail WB:

Hallo,

ich habe eine als Generic geparste Referenz in einen Artikel umgewandelt. Vorher hatte ich den ex-Autor gedndert und
Abgespeichert.

Ich kann jetzt auch anschlieBend nicht mehr die eingegebenen Reference Details abspeichern (stimmt jetzt nicht mehr, nach dem 3.
Speichern sind sie da).

Es gibt aber einige zuséatzliche Merkwirdigkeiten:

Der bekannte Detail-Update Bug ist schlimmer geworden, eben habe ich ein Synonym ausgewahlt und die Details blieben einfach
beim Taxon stehen.

Das SchlieBen der Media und Facts Views wird jetzt nicht nur beim Start des Editors ignoriert, sondern sie gehen auch wieder auf,
wenn man ein neues Taxon aufruft.

Ich mache mal den Editor auf und zu, mal sehen, ob das so bleibt.

mail of WB:

Hallo,
jetzt habe ich die nom. Referenz erganzt, eventuell nicht abgespeichert, und anschlieBend einen Typus (Text) eingetragen:

login : w.berendsohn
editor version : 5.9.3
server : api.cybertaxonomy.org (cybertaxonomy.org) / flora-cuba
schema version : 5.8.2.0.20190815
os : Windows 10 10.0 amdé64
java : 1.8.0_161
org.eclipse.ed.core.di.InjectionException: java.lang.IllegalStateException: Multiple representatio
ns of the same entity [eu.etaxonomy.cdm.model.agent.Person#34727] are being merged. Detached: [Aub
1.]; Detached: [Aubl.]
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java
:282)

at org.eclipse.ed4.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:247)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFac
tory.java:90)

at org.eclipse.ed.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSav
eHandler.java:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.ed.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. j
ava:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:42)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java
:282)
swt.widgets.Display.readAndDispatch (Display. java:3824)
ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:134)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
Caused by: java.lang.IllegalStateException: Multiple representations of the same entity [eu.etaxon
omy.cdm.model.agent .Person#34727] are being merged. Detached: [Aubl.]; Detached: [Aubl.]
hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)
MergeEventListener. java:327)

at org.hibernate.event.internal.DefaultMergeEventListener.onMerge (DefaultMergeEven
tListener.java:170)

at org.hibernate.internal.SessionImpl.fireMerge (SessionImpl. java:850)

at org.hibernate.internal.SessionImpl.merge (SessionImpl.java:832)

History

#1 - 09/09/2019 11:04 AM - Katja Luther

Hallo,

und jetzt einfach nach Anfiigen der nom. Referenz des Synonyms und speichern — der Name war offenbar noch nicht geparst.
Beim Taxonnamen wurde erst nach Wechsel zum Synonym und zurlick geparst, dann ohne Problem abgespeichert .

HG

W

#2 - 09/09/2019 11:04 AM - Katja Luther

Hallo,

der Fehler scheint bei einfachen nom. details nicht aufzutauchen, also wenn nur eine Seitenangabe vorliegt.
HG

W

#3 - 09/09/2019 11:05 AM - Katja Luther

Alles war vorher abgespeichert. Nur existierenden Type-Text aufgemacht, Text hinzugeflgt, gespeichert.

login : w.berendsohn
editor version : 5.9.3
server : api.cybertaxonomy.org (cybertaxonomy.org) / flora-cuba
schema version : 5.8.2.0.20190815
os : Windows 10 10.0 amdé64
Java : 1.8.0_161
org.eclipse.ed.core.di.InjectionException: java.lang.IllegalStateException: Multiple representations of the sa
me entity [eu.etaxonomy.cdm.model.agent.Person#34735] are being merged. Detached: [Irmsch.]; Detached: [Person
#34735<080b57£7-c492-45e4-80a7-60b87962b5b6>]
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:247)
at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:90

at org.eclipse.ed4.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav
a:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.ed4.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl. java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:42)

at sun.reflect.GeneratedMethodAccessorll7.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

#4 - 09/09/2019 11:05 AM - Katja Luther
- Category set to taxeditor

- Assignee set to Katja Luther

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.10

#5 - 09/18/2019 05:01 PM - Katja Luther

- Target version changed from Release 5.10 to Release 5.11

#6 - 11/04/2019 12:41 PM - Andreas Miiller

- Target version changed from Release 5.11 to Release 5.12

#7 - 11/11/2019 09:47 AM - Katja Luther

mail Inan Erdogan:

ich glaube das passiert bei mir fast ausschliesslich, wenn ich entweder im Hauptansichtsfeld den Synonymen erganzende (zB Publikations-)daten
hinzuflige, und bei der Eingabe von Typusinformstionen in den Details.
Die Fehlermeldung habe ich seit heute (seit 12:00 Uhr vier oder fiinf mal) allerdings unregelm&Big und nicht reproduzierbar.

#8 - 01/16/2020 01:13 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#9 - 02/21/2020 10:45 AM - Andreas Kohlbecker

- Tags set to multiple-representations-problem

#10 - 03/09/2020 04:26 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#11 - 03/31/2020 11:15 AM - Katja Luther

- Target version changed from Release 5.14 to Release 5.15

#12 - 06/23/2020 01:51 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#13 - 12/04/2020 09:10 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#14 - 01/27/2021 04:15 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#15 - 03/10/2021 02:45 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#16 - 04/19/2021 05:39 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
